@import model._

@(teams: Seq[Team], target: Call, showNew: Boolean = false)(implicit req: MessagesRequest[AnyContent], user: User)


<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Edit Team")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Edit Team - Select</h3>
            <hr />
            <form action="@target" method="get">
                <label for="park-select">Existing Teams</label>
                <div class="row">
                    <div class="col-sm-10">
                        <select class="custom-select" id="park-select" name="id">
                        @for(team <- teams.sortBy(_.name)) {
                            <option value="@team.id">@team.name</option>
                        }
                        </select>
                    </div>
                    <div class="col-sm">
                        <button class="btn btn-warning">Edit</button>
                    </div>
                </div>
            </form>
            @if(showNew) {
                <div class="row mt-2">
                    <a class="btn btn-success" href="@target">Create New</a>
                </div>
            }
        </div>
    </body>
</html>